# $Revision: 1.79 $, $Date: 2012/02/16 15:40:09 $
Summary:	Tool to check and undelete partition
Summary(fr.UTF-8):	Outil pour vérifier et restorer des partitions
Summary(pl.UTF-8):	Narzędzie sprawdzające i odzyskujące partycje
Summary(ru.UTF-8):	Программа для проверки и восстановления разделов диска
Name:		testdisk
Version:	6.13
Release:	2
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tar.bz2
# Source0-md5:	3bcbf0722d3823ca155e633969ce9f0b
Patch0:		%{name}-ac.patch
URL:		http://www.cgsecurity.org/testdisk.html
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	e2fsprogs-devel
#BuildRequires:	libcarvpath-devel
BuildRequires:	libewf-devel
BuildRequires:	libjpeg-devel
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	ntfs-3g-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	progsreiserfs-devel >= 0.3.1-1.rc8.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tool to check and undelete partition. Works with the following
partitions:
- BeFS ( BeOS )
- BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
- CramFS, Compressed File System
- DOS/Windows FAT12, FAT16 and FAT32
- Windows exFAT
- HFS, HFS+ and HFSX, Hierarchical File System
- JFS, IBM's Journaled File System
- Linux ext2 and ext3
- Linux LUKS encrypted partition
- Linux RAID md 0.9/1.0/1.1/1.2 o RAID 1: mirroring o RAID 4: striped
  array with parity device o RAID 5: striped array with distributed
  parity information o RAID 6: striped array with distributed dual
  redundancy information
- Linux Swap (versions 1 and 2)
- LVM and LVM2, Linux Logical Volume Manager
- Mac partition map
- Novell Storage Services NSS
- NTFS ( Windows NT/2000/XP/2003/Vista/2008 )
- ReiserFS 3.5, 3.6 and 4
- Sun Solaris i386 disklabel
- Unix File System UFS and UFS2 (Sun/BSD/...)
- XFS, SGI's Journaled File System

%description -l fr.UTF-8
Outil pour vérifier et restorer des partitions. Fonctionne avec les
partitions suivantes:
- BeFS ( BeOS )
- BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
- CramFS, Compressed File System
- DOS/Windows FAT12, FAT16 and FAT32
- Windows exFAT
- HFS, HFS+ and HFSX, Hierarchical File System
- JFS, IBM's Journaled File System
- Linux ext2 and ext3
- Linux LUKS encrypted partition
- Linux RAID md 0.9/1.0/1.1/1.2 o RAID 1: mirroring o RAID 4: striped
  array with parity device o RAID 5: striped array with distributed
  parity information o RAID 6: striped array with distributed dual
  redundancy information
- Linux Swap (versions 1 and 2)
- LVM and LVM2, Linux Logical Volume Manager
- Mac partition map
- Novell Storage Services NSS
- NTFS ( Windows NT/2000/XP/2003/Vista/2008 )
- ReiserFS 3.5, 3.6 and 4
- Sun Solaris i386 disklabel
- Unix File System UFS and UFS2 (Sun/BSD/...)
- XFS, SGI's Journaled File System

%description -l pl.UTF-8
Narzędzie sprawdzające i odzyskujące partycje. Pracuje z partycjami:
- BeFS ( BeOS )
- BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
- CramFS, Compressed File System
- DOS/Windows FAT12, FAT16 and FAT32
- Windows exFAT
- HFS, HFS+ and HFSX, Hierarchical File System
- JFS, IBM's Journaled File System
- Linux ext2 and ext3
- Linux LUKS encrypted partition
- Linux RAID md 0.9/1.0/1.1/1.2 o RAID 1: mirroring o RAID 4: striped
  array with parity device o RAID 5: striped array with distributed
  parity information o RAID 6: striped array with distributed dual
  redundancy information
- Linux Swap (versions 1 and 2)
- LVM and LVM2, Linux Logical Volume Manager
- Mac partition map
- Novell Storage Services NSS
- NTFS ( Windows NT/2000/XP/2003/Vista/2008 )
- ReiserFS 3.5, 3.6 and 4
- Sun Solaris i386 disklabel
- Unix File System UFS and UFS2 (Sun/BSD/...)
- XFS, SGI's Journaled File System

%description -l ru.UTF-8
Программа для проверки и восстановления разделов диска. Поддерживает
следующие типы разделов:
- BeFS ( BeOS )
- BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
- CramFS, Compressed File System
- DOS/Windows FAT12, FAT16 and FAT32
- Windows exFAT
- HFS, HFS+ and HFSX, Hierarchical File System
- JFS, IBM's Journaled File System
- Linux ext2 and ext3
- Linux LUKS encrypted partition
- Linux RAID md 0.9/1.0/1.1/1.2 o RAID 1: mirroring o RAID 4: striped
  array with parity device o RAID 5: striped array with distributed
  parity information o RAID 6: striped array with distributed dual
  redundancy information
- Linux Swap (versions 1 and 2)
- LVM and LVM2, Linux Logical Volume Manager
- Mac partition map
- Novell Storage Services NSS
- NTFS ( Windows NT/2000/XP/2003/Vista/2008 )
- ReiserFS 3.5, 3.6 and 4
- Sun Solaris i386 disklabel
- Unix File System UFS and UFS2 (Sun/BSD/...)
- XFS, SGI's Journaled File System

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install src/{fidentify,photorec,testdisk} $RPM_BUILD_ROOT%{_sbindir}
install -p doc_src/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INFO NEWS README THANKS doc/*.html
%{_mandir}/man8/*.8*
%attr(755,root,root) %{_sbindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: testdisk.spec,v $
Revision 1.79  2012/02/16 15:40:09  zawadaa
- rel 2 - rebuild with new ntfs-3g

Revision 1.78  2012/02/07 14:43:25  zawadaa
- up to 6.13, stable

Revision 1.77  2011/08/31 18:30:50  arekm
- release 4

Revision 1.76  2011/08/31 09:16:48  arekm
- release 3

Revision 1.75  2011/07/24 13:24:40  areq
- BR ntfs-3g-devel

Revision 1.74  2011/06/14 16:59:08  gotar
- preserve manpages timestamps

Revision 1.73  2011/06/14 16:38:48  gotar
- upgraded to 6.12

Revision 1.72  2010/01/28 23:57:37  sparky
- BR: pkgconfig

Revision 1.71  2010/01/28 19:13:12  amateja
- release 3

Revision 1.70  2009/07/12 13:29:56  arekm
- release 2

Revision 1.69  2009/05/06 20:38:43  areq
- 6.11.3 , rm outdated photorec_611_exif_bound_checking.patch

Revision 1.68  2009/04/27 13:11:34  lisu
- 6.11.1

Revision 1.67  2009/04/23 20:19:54  areq
- add photorec_611_exif_bound_checking.patch (32-bit version of PhotoRec 6.11
  can be crashed by corrupted EXIF information.)
- rel 2

Revision 1.66  2009/04/20 06:56:48  paszczus
- better descriptions, from project website

Revision 1.65  2009/04/20 06:50:51  paszczus
- updated descriptions

Revision 1.64  2009/04/19 16:04:16  areq
- 6.11

Revision 1.63  2009/02/18 20:53:10  arekm
- release 3

Revision 1.62  2008/07/18 17:43:03  qboosh
- updated descs
- BR: libewf-devel (for Expert Witness Compression Format support)

Revision 1.61  2008/07/18 09:30:30  megabajt
- release 2

Revision 1.60  2008/07/17 22:26:38  qboosh
- added ac patch

Revision 1.59  2008/07/17 19:07:03  areq
- 6.10

Revision 1.58  2008-02-13 21:24:56  areq
- final 6.9

Revision 1.57  2008-02-10 14:24:06  areq
- new WIP source, fixed build with e2fsprogs-1.40.5

Revision 1.56  2007-11-21 15:26:40  blues
- rel.1

Revision 1.55  2007-10-17 15:45:35  areq
- 6.9-WIP

Revision 1.54  2007/08/13 22:09:23  areq
- 6.8

Revision 1.53  2007/06/26 21:21:46  areq
- 6.7

Revision 1.52  2007/06/26 21:19:05  areq
- final 6.7

Revision 1.51  2007/02/17 21:30:08  areq
- final 6.6

Revision 1.50  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.49  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.48  2007/02/11 14:15:59  areq
- 6.6 WIP
- Todo: EWF support (libewf)

Revision 1.47  2006/10/22 18:54:39  lisu
- 6.5
- License changed to GPL v2

Revision 1.46  2006/06/21 21:20:51  areq
- 6.4

Revision 1.45  2006/04/26 21:32:54  zbyniu
- summaries, descs fr, ru from spec included in source0; manuals packaged

Revision 1.44  2006/03/11 18:10:26  areq
- 6.3

Revision 1.43  2006/01/08 02:22:02  sparky
- BR libjpeg-devel (used by photorec)

Revision 1.42  2005/11/09 21:31:48  tommat
- missing dot in description

Revision 1.41  2005/10/22 18:30:56  areq
- 6.2

Revision 1.40  2005/10/14 20:42:42  arekm
- rel 2

Revision 1.39  2005/10/03 20:15:42  areq
- final 5.9

Revision 1.38  2005/09/10 17:36:39  areq
- 5.9

Revision 1.37  2005/06/04 17:29:07  areq
- 5.8

Revision 1.36  2005/04/05 11:06:52  areq
- 5.7

Revision 1.35  2005/02/16 23:08:33  areq
- 5.6

Revision 1.34  2005/01/15 13:34:14  darekr
- revert

Revision 1.33  2005/01/15 10:24:56  darekr
- BR: s/e2fsprogs/libuuid/

Revision 1.32  2004/11/10 11:49:07  areq
- add photorec

Revision 1.31  2004/11/10 10:47:33  areq
- 5.5

Revision 1.30  2004/11/02 22:00:45  areq
- final 5.4

Revision 1.29  2004/10/29 13:36:57  paladine
- spelling fixes

Revision 1.28  2004/10/29 11:14:48  areq
- add ntfs.patch for ntfsprogs-devel >= 1.9.4

Revision 1.27  2004/09/20 00:07:42  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.26  2004/08/27 21:25:57  qboosh
- updated ncurses patch, quote CC

Revision 1.25  2004/08/27 13:16:50  areq
- 5.4

Revision 1.24  2004/05/28 13:10:35  areq
- 5.3
- remove outdated va.patch

Revision 1.23  2004/05/13 17:06:41  ankry
- spaces -> tabs, other cosmetics

Revision 1.22  2004/03/18 21:48:59  qboosh
- va patch is back (updated)

Revision 1.21  2004/03/17 11:37:48  areq
- 5.2, (remove va.patch ?)

Revision 1.20  2004/03/06 21:38:36  areq
- 5.1

Revision 1.19  2004/01/05 21:43:45  areq
- start update to 5.0, NFY

Revision 1.18  2003/12/27 21:54:35  qboosh
- added va patch (fixes build on alpha)
- removed LICENSE from doc (just GPL)
- release 2

Revision 1.17  2003/10/06 17:05:56  areq
- 4.5

Revision 1.16  2003/05/28 13:02:13  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:27:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/04/06 16:21:58  qboosh
- use optflags
- updated LIBEXT patch to use shared progsreiserfs

Revision 1.13  2003/04/05 16:32:45  areq
- use progsreiserfs-devel

Revision 1.12  2003/03/28 17:46:18  areq
- 4.4

Revision 1.11  2002/11/29 14:32:46  areq
- ugly upgrade to 4.3, STBR
- remove updated va_arg.patch

Revision 1.10  2002/11/18 08:41:21  kloczek
- cosmetics.

Revision 1.9  2002/11/18 08:39:14  marcus
- rel.2. fixed va_arg on ppc (thanks mmazur)

Revision 1.8  2002/06/02 06:25:35  kloczek
- aded ncurses-devel to BuildRequires,
- use proper CC.

Revision 1.7  2002/05/30 20:50:01  areq
- 4.1, STBR
- add html doc
- new %doc

Revision 1.6  2002/04/04 15:21:20  pioklo
- updated to 4.0 ,STBR

Revision 1.5  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/28 09:25:04  adasi
 - cosmetics

Revision 1.2  2002/01/28 09:11:51  qboosh
- pl chars

Revision 1.1  2002/01/27 22:05:15  areq
- init PLD spec
